unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, ComCtrls, StdCtrls, FileHV, Buttons, ExtCtrls, FileCtrl, Menus;

type
  TForm1 = class(TForm)
    FileHV1: TFileHV;
    PanelTop: TPanel;
    Image1: TImage;
    Label5: TLabel;
    Panel3: TPanel;
    LblInfoSys: TLabel;
    Label2: TLabel;
    edtFullPath: TEdit;
    btnSearch: TBitBtn;
    edtSearchStr: TEdit;
    SpeedButton1: TSpeedButton;
    Label1: TLabel;
    edtMask: TEdit;
    Panel1: TPanel;
    Panel2: TPanel;
    Panel4: TPanel;
    Panel5: TPanel;
    Splitter1: TSplitter;
    ListView1: TListView;
    Panel6: TPanel;
    BitBtn1: TBitBtn;
    BitBtn2: TBitBtn;
    BitBtn3: TBitBtn;
    BitBtn4: TBitBtn;
    BitBtn5: TBitBtn;
    BitBtn6: TBitBtn;
    BitBtn7: TBitBtn;
    chkSubFoldersIncluded: TCheckBox;
    PopupMenu1: TPopupMenu;
    ExtrairparaomesmoLocalemquefoiextrado1: TMenuItem;
    ExtrairLocalmenteparaoDiretriodestaAplicao1: TMenuItem;
    BitBtn8: TBitBtn;
    BitBtn9: TBitBtn;
    procedure btnSearchClick(Sender: TObject);
    procedure SpeedButton1Click(Sender: TObject);
    procedure BitBtn1Click(Sender: TObject);
    procedure BitBtn2Click(Sender: TObject);
    procedure BitBtn3Click(Sender: TObject);
    procedure BitBtn4Click(Sender: TObject);
    procedure BitBtn5Click(Sender: TObject);
    procedure BitBtn6Click(Sender: TObject);
    procedure BitBtn7Click(Sender: TObject);
    procedure ExtrairparaomesmoLocalemquefoiextrado1Click(Sender: TObject);
    procedure ExtrairLocalmenteparaoDiretriodestaAplicao1Click(
      Sender: TObject);
    procedure BitBtn8Click(Sender: TObject);
    procedure BitBtn9Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.btnSearchClick(Sender: TObject);
begin
  FileHV1.Path := edtFullPath.Text;
  FileHV1.FileMask := edtMask.Text;
  FileHV1.InSubFolders := (chkSubFoldersIncluded.Checked);
  FileHV1.ListView := ListView1;
  FileHV1.SearchString := edtSearchStr.Text;
  //Memo1.Lines :=
  FileHV1.SearchForFiles;
end;

procedure TForm1.SpeedButton1Click(Sender: TObject);
begin
  edtFullPath.Text := FileHV1.SelectDir;
end;

procedure TForm1.BitBtn1Click(Sender: TObject);
begin
  ShowMessage(FileHV1.ListViewSelectedItem)
end;

procedure TForm1.BitBtn2Click(Sender: TObject);
var
  i: integer;
begin
  if not FileHV1.IsSomeItemChecked then Exit;

  for i := 0 to FileHV1.CheckedItens.Count -1 do
    ShowMessage(FileHV1.CheckedItens.Strings[i]);
end;

procedure TForm1.BitBtn3Click(Sender: TObject);
begin
  FileHV1.DeleteCheckedItens(True);
end;

procedure TForm1.BitBtn4Click(Sender: TObject);
begin
  FileHV1.CopyFiles('c:\CopiaAqui');
end;

procedure TForm1.BitBtn5Click(Sender: TObject);
begin
  FileHV1.MoveFiles('c:\CopiaAqui');
end;

procedure TForm1.BitBtn6Click(Sender: TObject);
begin
  FileHV1.AddFileToBeCompacted;
end;

procedure TForm1.BitBtn7Click(Sender: TObject);
begin
  PopupMenu1.Popup(Mouse.CursorPos.X,Mouse.CursorPos.Y);
end;

procedure TForm1.ExtrairparaomesmoLocalemquefoiextrado1Click(
  Sender: TObject);
begin
  FileHV1.ExtractCompactedFiles;
  btnSearch.Click;
end;

procedure TForm1.ExtrairLocalmenteparaoDiretriodestaAplicao1Click(
  Sender: TObject);
begin
  FileHV1.ExtractCompactedFiles(ExtractFilePath(Application.ExeName));
end;

procedure TForm1.BitBtn8Click(Sender: TObject);
begin
  FileHV1.CheckedAll;
end;

procedure TForm1.BitBtn9Click(Sender: TObject);
begin
  FileHV1.UnCheckedAll;
end;

end.
