unit UnTesteFTP;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ExtCtrls, ComCtrls, FileHV;

type
  TfrmTesteFTP = class(TForm)
    PanelTop: TPanel;
    Image1: TImage;
    Label5: TLabel;
    Panel2: TPanel;
    LblInfoSys: TLabel;
    edtHost: TEdit;
    Label1: TLabel;
    edtUserName: TEdit;
    Label2: TLabel;
    Label3: TLabel;
    edtPassword: TEdit;
    Label4: TLabel;
    edtPort: TEdit;
    Panel3: TPanel;
    Panel4: TPanel;
    ListView1: TListView;
    Panel5: TPanel;
    FileHV1: TFileHV;
    GroupBox1: TGroupBox;
    CbFiles: TComboBox;
    Label6: TLabel;
    Button12: TButton;
    Button13: TButton;
    Button8: TButton;
    GroupBox2: TGroupBox;
    Button1: TButton;
    Button2: TButton;
    Button4: TButton;
    Button3: TButton;
    Button6: TButton;
    GroupBox3: TGroupBox;
    Button5: TButton;
    Button11: TButton;
    Button10: TButton;
    Edit1: TEdit;
    procedure Button5Click(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure Button4Click(Sender: TObject);
    procedure Button3Click(Sender: TObject);
    procedure Button10Click(Sender: TObject);
    procedure Button11Click(Sender: TObject);
    procedure Button8Click(Sender: TObject);
    procedure Button6Click(Sender: TObject);
    procedure Button12Click(Sender: TObject);
    procedure Button13Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
    function ConectaFTPFileHV: Boolean;
    procedure RefreshFileList;
  end;

var
  frmTesteFTP: TfrmTesteFTP;

implementation

{$R *.dfm}

procedure TfrmTesteFTP.Button5Click(Sender: TObject);
begin
    if not ConectaFTPFileHV then Exit;
  FileHV1.ShowAllFTPFiles;
  RefreshFileList;
end;

function TfrmTesteFTP.ConectaFTPFileHV: Boolean;
begin
  with FileHV1 do
  begin
    FTPHost := edtHost.Text;
    FTPUserName := edtUserName.Text;
    FTPPassWord := edtPassword.Text;
    FTPPort := StrToIntDef(edtPort.Text, 21);
    Result := LoadFTP;
  end;
end;

procedure TfrmTesteFTP.Button1Click(Sender: TObject);
begin
  if not ConectaFTPFileHV then Exit;
  if not FileHV1.GetInfoFile then Exit;
  FileHV1.Upload;
  RefreshFileList;
end;

procedure TfrmTesteFTP.Button2Click(Sender: TObject);
begin
  if not ConectaFTPFileHV then Exit;
  if not FileHV1.GetInfoFile then Exit;
 // if not FileHV1.GetInfoFile('c:\fontes\TIdFTP-Teste\teste.txt') then Exit;
  ShowMessage(FileHV1.GetLastFileVersion);
end;

procedure TfrmTesteFTP.Button4Click(Sender: TObject);
begin
  if not ConectaFTPFileHV then Exit;
  if not FileHV1.GetInfoFile then Exit;
  FileHV1.DownloadLastVersion;
  RefreshFileList;
end;

procedure TfrmTesteFTP.Button3Click(Sender: TObject);
begin
  if not ConectaFTPFileHV then Exit;
  if not FileHV1.GetInfoFile then Exit;
  FileHV1.DeleteLastVersion;
  RefreshFileList;
end;

procedure TfrmTesteFTP.Button10Click(Sender: TObject);
begin
  if not ConectaFTPFileHV then Exit;
  FileHV1.ShowWorkingFTPFolders;
  RefreshFileList;
end;

procedure TfrmTesteFTP.Button11Click(Sender: TObject);
begin
  if not ConectaFTPFileHV then Exit;
  FileHV1.ShowWorkingFTPFoldersAndFiles;
  RefreshFileList;
end;

procedure TfrmTesteFTP.Button8Click(Sender: TObject);
begin
  if not ConectaFTPFileHV then Exit;

  if CbFiles.ItemIndex = -1 then Exit;

  //FileHV1.DeleteFTPFile('Fontes\1-teste.zip');
  FileHV1.DeleteFTPFile(CbFiles.Items.Strings[CbFiles.itemIndex]);
  FileHV1.ShowHistoricFiles(CbFiles.Items.Strings[CbFiles.itemIndex]);
  RefreshFileList;
end;

procedure TfrmTesteFTP.Button6Click(Sender: TObject);
begin
  if not ConectaFTPFileHV then Exit;
  //FileHV1.RenameFTPFile('Fontes\100-teste.zip', '12-teste.zip');
  FileHV1.RenameFTPFile('3-teste.zip', '333-teste.zip');
  FileHV1.ShowWorkingFTPFoldersAndFiles;
end;

procedure TfrmTesteFTP.Button12Click(Sender: TObject);
begin
  if CbFiles.ItemIndex = -1 then Exit;
  FileHV1.ShowHistoricFiles(CbFiles.Items.Strings[CbFiles.itemIndex]);
end;

procedure TfrmTesteFTP.Button13Click(Sender: TObject);
begin
  if CbFiles.ItemIndex = -1 then Exit;
  FileHV1.ShowHistoricFiles(CbFiles.Items.Strings[CbFiles.itemIndex], True);
end;

procedure TfrmTesteFTP.RefreshFileList;
begin
  //Memo1.Lines.Assign(FileHV1.sReturnedItensFromFTPServer);
  CbFiles.Items.Assign(FileHV1.FileItens);
end;

end.
